<?php
	$efeito = $_GET['efeito'];
	$img = imagecreatefromjpeg("tigre.jpg");
	$cordafonte = imagecolorallocate($img, 0, 0, 0);
	$branca = imagecolorallocate($img, 255, 255, 255);
	$fonte = 'verdana.ttf';
	switch($efeito)
	{
		case 'brilho':
		imagefilter($img, IMG_FILTER_BRIGHTNESS, 80);
		imagestring($img, 5, 500, 500, strtoupper($efeito), $cordafonte);
		break;
		
		case 'negativo':
		imagefilter($img, IMG_FILTER_NEGATE);	
		imagettftext($img, 50, 0, 420, 570, $branca, $fonte, strtoupper($efeito));
		break;	
		
		case 'azul':
		imagefilter($img, IMG_FILTER_COLORIZE, -55, -55, 250, 60);
		imagettftext($img, 50, 90, 780, 570, $cordafonte, $fonte, strtoupper($efeito));
		break;	

		case 'contraste':
		imagefilter($img, IMG_FILTER_CONTRAST, 220);
		imagestring($img, 5, 550, 550, strtoupper($efeito), $cordafonte);
		break;	

		case 'contorno':
		imagefilter($img, IMG_FILTER_EDGEDETECT);
		imagettftext($img, 30, 0, 550, 550, $branca, $fonte, strtoupper($efeito));
		break;	

		case 'relevo':
		imagefilter($img, IMG_FILTER_EMBOSS);
		imagettftext($img, 80, 0, 450, 620, $branca, $fonte, strtoupper($efeito));
		break;	

		case 'desfoque':
		imagefilter($img, IMG_FILTER_GAUSSIAN_BLUR);
		imagettftext($img, 30, 0, 550, 550, $branca, $fonte, strtoupper($efeito));
		break;	

		case 'cinza':
		imagefilter($img, IMG_FILTER_GRAYSCALE);
		imagettftext($img, 50, 90, 780, 570, $cordafonte, $fonte, strtoupper($efeito));
		imagettftext($img, 50, 90, 775, 570, $branca, $fonte, strtoupper($efeito));
		
		break;	
		
		case 'esboco':
		imagefilter($img, IMG_FILTER_MEAN_REMOVAL);
		imagettftext($img, 30, 0, 550, 550, $branca, $fonte, strtoupper($efeito));
		break;	
		
		case 'suave':
		imagefilter($img, IMG_FILTER_SMOOTH, 6);
		imagestringup($img, 5, 700, 590, strtoupper($efeito), $cordafonte);
		break;	

		case 'mix':
		imagefilter($img, IMG_FILTER_BRIGHTNESS, -50);
		imagefilter($img, IMG_FILTER_CONTRAST, 50);		
		imagefilter($img, IMG_FILTER_EDGEDETECT);
		imagettftext($img, 30, 0, 300, 570, $branca, $fonte, 'EFEITOS SOBREPOSTOS');
		break;	

		case 'pixel':
		imagefilter($img, IMG_FILTER_PIXELATE, 2, true);
		imagettftext($img, 30, 0, 300, 570, $branca, $fonte, strtoupper($efeito));
		break;
	}

	
	header("content-type: image/jpeg");
	imagejpeg($img);
	imagedestroy($img);
?>